//
//  ViewController.h
//  Test App
//


#import <UIKit/UIKit.h>
#import <Accelerate/Accelerate.h>
#import <AssetsLibrary/AssetsLibrary.h>
#import <ImageIO/ImageIO.h>
#import <MobileCoreServices/MobileCoreServices.h>
#import <QuartzCore/QuartzCore.h>
#import <CoreImage/CoreImage.h>
#import "NYXImagesKit.h"
#import "NYOBetterZoomUIScrollView.h"

extern NSString *Show_HoverView;

@interface ViewController : UIViewController <UIImagePickerControllerDelegate,UINavigationControllerDelegate,UIScrollViewDelegate> {
    NYOBetterZoomUIScrollView *_imageScrollView;
    UIImageView *imageView;
    IBOutlet UINavigationBar *effectsBar;
    IBOutlet UISegmentedControl *effectsBarSegmentedControl;
    IBOutlet UIToolbar *toolBar;
    IBOutlet UIBarButtonItem *changePhotoButton;
    UIImagePickerController *imagePicker;
}

@property (nonatomic, strong) NYOBetterZoomUIScrollView *imageScrollView;
@property (nonatomic, strong) UIImageView *imageView;
@property (nonatomic, strong) IBOutlet UINavigationBar *effectsBar;
@property (nonatomic, strong) IBOutlet UISegmentedControl *effectsBarSegmentedControl;
@property (nonatomic, strong) IBOutlet UIToolbar *toolBar;
@property (nonatomic, strong) IBOutlet UIBarButtonItem *changePhotoButton;
@property (nonatomic, strong) UIImagePickerController *imagePicker;

- (IBAction)changePhoto:(id)sender;
- (IBAction)segmentedControlIndexChanged;

- (void)bwEffect;
- (void)sepiaEffect;
- (void)enhanceEffect;
- (void)setUpImageView;

@end
